ReferenceItem lists
Colors
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/colors' \ -H 'Authorization: Bearer <access-token>'[ { "id": 0, "name": "string", "nameForEshop": "string" }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
id?integerFormat
int32name?|Length
length <= 50nameForEshop?|Length
length <= 50application/json- response
id?integerFormat
int32name?|Length
length <= 50nameForEshop?|Length
length <= 50curl -X POST 'https://<your-instance>/api/item-lists/colors' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "name": "string", "nameForEshop": "string"}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
id?integerFormat
int32name?|Length
length <= 50nameForEshop?|Length
length <= 50curl -X GET 'https://<your-instance>/api/item-lists/colors/0' \ -H 'Authorization: Bearer <access-token>'{ "id": 0, "name": "string", "nameForEshop": "string"}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
id?integerFormat
int32name?|Length
length <= 50nameForEshop?|Length
length <= 50application/json- response
id?integerFormat
int32name?|Length
length <= 50nameForEshop?|Length
length <= 50curl -X PATCH 'https://<your-instance>/api/item-lists/colors/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "name": "string", "nameForEshop": "string"}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/colors/0' \ -H 'Authorization: Bearer <access-token>'Empty